Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam
Class OamErrorNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--jain.protocol.ss7.oam.OamErrorNotification

Direct Known Subclasses:
  Mtp2ErrorNotification, Mtp3ErrorNotification, SccpErrorNotification, TcapErrorNotification

public abstract class OamErrorNotification
extends Notification
implements java.io.Serializable, java.lang.Cloneable

This Notification may be emitted by any OAMLayerManagerMBean object if an error is encountered. This Notification may then be passed to all concerned Notification Listeners.

If the error is not directly related to OAM/SS7, eg. it is a Java, etc. error then an error message string can be set.

The Notification class extends the java.util.EventObject base class and defines the minimal information contained in a notification. It contains the following fields:

the notification type, which is a string expressed in a dot notation similar to Java properties.

a sequence number, which is a serial number identifying a particular instance of notification in the context of the notification source

a time stamp, indicating when the notification was generated

a message contained in a string, which could be the explanation of the notification for displaying to a user

userData is used for whatever other data the notification source wishes to communicate to its consumers

Notification sources should use the notification type to indicate the nature of the event to their consumers. When additional information needs to be transmitted to consumers, the source may place it in the message or user data fields.

Inheritance hierarchy for JAIN OAM Notification

Version:
  1.1
Author:
  Colm Hayden
See Also:
  Serialized Form

Field Summary
`static int` | `NON_OAM_RELATED_ERROR` Eror Type constant: Indicates that a non-OAM related.

Method Summary
`int` | `getErrorType()` Returns the Type of this Error.
`java.lang.String` | `getNonOamErrorMsg()` Returns a non-OAM related error message.
`void` | `setNonOamErrorMsg(java.lang.String errorMsg)` Sets a non-OAM related error message.

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSource, setUserData`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NON_OAM_RELATED_ERROR

    public static final int NON_OAM_RELATED_ERROR

  Eror Type constant: Indicates that a non-OAM related. (eg. Java, JNI, etc.) error.

  Emitted By: Any OamLayerManagerMBean
  Notification Type: "jain.protocol.ss7.oam.error.non_oam_related_error".

Method Detail

### getErrorType

    public int getErrorType()

  Returns the Type of this Error.
  Returns:
    one of the defined Error Types.

### setNonOamErrorMsg

    public void setNonOamErrorMsg(java.lang.String errorMsg)
                           throws java.lang.NullPointerException

  Sets a non-OAM related error message. This String is set when a non-OAM related (eg. Java, JNI, etc.) error is encountered and should contain the details of the error.

  NB: This message should only be set whenever IF ErrorType == NON_OAM_RELATED_ERROR

  Parameters:
    `errorMsg` - the error message, eg. 'Lost connection to underlying management system'.
  Throws:
    java.lang.NullPointerException - if any of the Objects supplied as parameters are null

### getNonOamErrorMsg

    public java.lang.String getNonOamErrorMsg()

  Returns a non-OAM related error message. This String is set when a non-OAM related (eg. Java, JNI, etc.) error is encountered and should contain the details of the error.

  NB: This message should only be read whenever IF ErrorType == NON_OAM_RELATED_ERROR

  Returns:
    the error message, eg. 'Lost connection to underlying management system'.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems